LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XTransition Interface Reference

Transition interface to render custom transitions over time. More...

`import <XTransition.idl;`

Inheritance diagram for XTransition:

## Public Member Functions
void | update ([in] double t)
| Update transition on screen to given time state.
void | viewChanged ([in] XSlideShowView view, [in] com::sun::star::rendering::XBitmap leavingBitmap, [in] com::sun::star::rendering::XBitmap enteringBitmap)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Transition interface to render custom transitions over time.

Since
  OOo 2.4

## Member Function Documentation

## ◆ update()

void update | ( | [in] double | t | ) |

Update transition on screen to given time state.

Parameters

  t | Time on the transition timeline to display. Must be in the [0,1] range.

## ◆ viewChanged()

void viewChanged | ( | [in] XSlideShowView | view,
|  | [in] com::sun::star::rendering::XBitmap | leavingBitmap,
|  | [in] com::sun::star::rendering::XBitmap | enteringBitmap )

The documentation for this interface was generated from the following file:

- com/sun/star/presentation/XTransition.idl